Fix licensing for static libraries v5.1.0 v5.1.0-rc2
authorJonathan Liu <net147@gmail.com>
Thu, 20 Jun 2013 14:06:42 +0000 (00:06 +1000)
committerThe Qt Project <gerrit-noreply@qt-project.org>
Mon, 24 Jun 2013 07:58:23 +0000 (09:58 +0200)
commit8c1759ed70da31b2492e9df68fa44eac7db6ab66
tree34b24809bc2d071be256026620161f3cc1d542d0
parent891d912f45b7217d7a8d40fb6b277ca393f21a93
Fix licensing for static libraries

In Qt 4, files that are part of ActiveQt static libraries linked into
the application are licensed as BSD. In Qt 5, additional files were
added to the static libraries that are incorrectly licensed as LGPL.

Unify the licensing of these files as BSD.

Task-number: QTBUG-29918
Change-Id: I26735cf9a6003c4110ceef2a722c43dc13a9f63f
Reviewed-by: Sean Harmer <sean.harmer@kdab.com>
Reviewed-by: Lars Knoll <lars.knoll@digia.com>
src/activeqt/container/filterwidget.cpp
src/activeqt/container/filterwidget_p.h
src/activeqt/shared/qaxutils.cpp
src/activeqt/shared/qaxutils_p.h